Survey Tracker

Get a survey tracker by ID

get
Query parameters
idstringRequired

The UUID of the survey tracker to retrieve

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Responses
chevron-right
200

The survey tracker has been successfully retrieved.

application/json
idstringRequired

Unique identifier

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

surveyIdstringRequired

Survey identifier

surveyNamestringRequired

Survey name

sendAtstring · date-timeRequired

Estimate send date

sentAtstring · date-time · nullableRequired

Actual send date when survey was sent

Default: null
resendAtstring · date-time · nullableRequired

Date of resending the survey if it has not been completed within the time specified in the configuration

Default: null
resentbooleanRequired

Determines whether a resend has been performed

sendingIndexnumberRequired

Index of the sending attempt (0 = first send, 1 = first resend, etc.)

customerIdstringRequired

Identifier of the customer associated with the survey tracker

purchaseIdstringRequired

Identifier of the purchase associated with the survey tracker

sendingTypeall ofRequired

Type of survey sending

string · enumOptionalPossible values:
statusall ofRequired

Status of the survey tracker

string · enumOptionalPossible values:
linkstring · nullableRequired

Link to access the survey Only available after the survey has been sent

Default: null
newReviewLinkstring · nullableRequired

Link of the external review page, if available (eg. Google Reviews)

Default: null
sentTostring · nullableRequired

Email or phone number the survey was sent to Only available after the survey has been sent

Default: null
switchedToSmsbooleanRequired

Indicates whether the survey was switched to SMS after failed whatsapp attempts

clicksnumberRequired

Number of clicks on the survey link

uniqueClicksnumberRequired

Number of unique clicks on the survey link

get
/partners/survey-tracker

List survey trackers

post
Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
limitnumber · min: 1 · max: 100Optional

Pagination limit

Default: 10
pagenumber · min: 1Optional

Page to retrieve

Default: 1
fromSendAtstring · nullableOptional

Date range start (sendAt)

toSendAtstring · nullableOptional

Date range end (sendAt)

purchasesstring[] · min: 1 · max: 100 · nullableOptional

Purchase IDs to filter survey trackers

customersstring[] · min: 1 · max: 100 · nullableOptional

Customer IDs to filter survey trackers

Responses
post
/partners/survey-tracker/list

Generate survey trackers

post

Generates external survey trackers for all applicable surveys based on the purchase ID provided. Fullwhere does not send external survey trackers. If an external survey tracker already exists for a survey/purchase combination, it will return the existing tracker.

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
purchaseIdstringRequired

Purchase identifier to generate the survey link for

Responses
post
/partners/survey-tracker/generate

Last updated